AstrologyAPI

Use access token to call astrology api.

Learn More

Numerology Table

POSThttps://json.astrologyapi.com/v1/numero_table
Copy

The numero_table API returns information related to numerology for a given name, including the name, date, destiny number, radical number, name number, evil numbers, favorite color, favorite day, favorite god, favorite mantra, favorite metal, favorite stone, favorite sub-stone, friendly numbers, neutral numbers, radical number, and radical ruler. The response includes specific values for each of these categories for the given name.

POST/numero_table
Copy
1curl --location 'https://json.astrologyapi.com/v1/numero_table' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Demo",
3  "date": "6-121-2014",
4  "destiny_number": 8,
5  "radical_number": 6,
6  "name_number": 1,
7  "evil_num": "1,8",
8  "fav_color": "White",
9  "fav_day": "Thursday, Tuesday, Friday",
10  "fav_god": "Devi",
11  "fav_mantra": "|| Om Shum Shukray Namah ||",
12  "fav_metal": "Sillver",
13  "fav_stone": "Diamond, Opal",
14  "fav_substone": "Zircon, White Sapphire",
15  "friendly_num": "4,3,9",
16  "neutral_num": "2,5,7",
17  "radical_num": "6",
18  "radical_ruler": "Venus"
19}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.